### Virtual Method

# Foundry SearchResult create_intent

since: 1.1

#### Declaration [src]

    FoundryIntent*
    create_intent (
      FoundrySearchResult* self,
      FoundryContext* context
    )

#### Description [src]

Create an intent for the search result.

For search results that support intents, this describes an action that should be handled for the user and dispatched via `foundry_intent_manager_dispatch()`.

Available since: 1.1

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext`.

  The data is owned by the caller of the method.

#### Return value

Type: `FoundryIntent`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.